% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_fetcher.R
\name{data_fetcher}
\alias{data_fetcher}
\title{data_fetcher.R Overview}
\description{
Provides the `fetch_data()` function, which extracts and structures content from:
\itemize{
  \item Local files (PDF, DOCX, PPTX, TXT, HTML)
  \item Crawled websites (with optional BFS crawl depth)
}

The returned data frame includes metadata columns like `title`, `author`, `publishedDate`,
and the main extracted `content`.

## Required Packages
\code{install.packages(c("pdftools", "officer", "rvest", "xml2", "dplyr", "stringi", "curl", "httr", "jsonlite", "magrittr"))}
}
\note{
Only `fetch_data()` is exported. Internal functions include `read_local_file()`, `read_website_page()`, and `crawl_links_bfs()`.
}
