% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data_fetcher.R
\name{fetch_data}
\alias{fetch_data}
\title{Fetch Data from Local Files and Websites}
\usage{
fetch_data(local_paths = NULL, website_urls = NULL, crawl_depth = NULL)
}
\arguments{
\item{local_paths}{A character vector of file paths or directories to scan for documents.}

\item{website_urls}{A character vector of website URLs to crawl and extract text from.}

\item{crawl_depth}{Integer indicating BFS crawl depth; set to NULL for infinite crawl.}
}
\value{
A data frame with the following columns: source, title, author, publishedDate, description, content, url, source_type.
}
\description{
Extracts content and metadata from local documents or websites. Supports PDF, DOCX, PPTX, TXT, HTML files
and performs BFS web crawling up to the specified depth.
}
